<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::ParameterizedTestSuiteInfo&lt; TestSuite &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1ParameterizedTestSuiteInfo.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::ParameterizedTestSuiteInfo&lt; TestSuite &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for testing::internal::ParameterizedTestSuiteInfo&lt; TestSuite &gt;:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1ParameterizedTestSuiteInfo__inherit__graph.svg" width="243" height="156"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for testing::internal::ParameterizedTestSuiteInfo&lt; TestSuite &gt;:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1ParameterizedTestSuiteInfo__coll__graph.svg" width="243" height="156"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a10761bd750a6820a8d8d2c654b10fe54"><td class="memItemLeft" align="right" valign="top"><a id="a10761bd750a6820a8d8d2c654b10fe54"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>ParamType</b> = typename TestSuite::ParamType</td></tr>
<tr class="separator:a10761bd750a6820a8d8d2c654b10fe54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b4f232b7d6d3df941bb8e81b6b534a4"><td class="memItemLeft" align="right" valign="top"><a id="a3b4f232b7d6d3df941bb8e81b6b534a4"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>ParamNameGeneratorFunc</b> = std::string(const <a class="el" href="structtesting_1_1TestParamInfo.html">TestParamInfo</a>&lt; ParamType &gt; &amp;)</td></tr>
<tr class="separator:a3b4f232b7d6d3df941bb8e81b6b534a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac6230057c507d74e373233edbf0410c2"><td class="memItemLeft" align="right" valign="top"><a id="ac6230057c507d74e373233edbf0410c2"></a>
typedef&#160;</td><td class="memItemRight" valign="bottom"><b>ParamGenerator</b> (GeneratorCreationFunc)()</td></tr>
<tr class="separator:ac6230057c507d74e373233edbf0410c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56fc02ddec2cf2101332d1125e4c75a9"><td class="memItemLeft" align="right" valign="top"><a id="a56fc02ddec2cf2101332d1125e4c75a9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ParameterizedTestSuiteInfo</b> (const char *name, <a class="el" href="structtesting_1_1internal_1_1CodeLocation.html">CodeLocation</a> code_location)</td></tr>
<tr class="separator:a56fc02ddec2cf2101332d1125e4c75a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a5ddc2cd0404438c2b4d405cd0e706c"><td class="memItemLeft" align="right" valign="top"><a id="a4a5ddc2cd0404438c2b4d405cd0e706c"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetTestSuiteName</b> () const override</td></tr>
<tr class="separator:a4a5ddc2cd0404438c2b4d405cd0e706c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af488d1d7c1889a250acff2ea6eba4c84"><td class="memItemLeft" align="right" valign="top"><a id="af488d1d7c1889a250acff2ea6eba4c84"></a>
TypeId&#160;</td><td class="memItemRight" valign="bottom"><b>GetTestSuiteTypeId</b> () const override</td></tr>
<tr class="separator:af488d1d7c1889a250acff2ea6eba4c84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d57a40601784b785e9a057b42f3336d"><td class="memItemLeft" align="right" valign="top"><a id="a9d57a40601784b785e9a057b42f3336d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AddTestPattern</b> (const char *test_suite_name, const char *test_base_name, <a class="el" href="classtesting_1_1internal_1_1TestMetaFactoryBase.html">TestMetaFactoryBase</a>&lt; ParamType &gt; *meta_factory, <a class="el" href="structtesting_1_1internal_1_1CodeLocation.html">CodeLocation</a> code_location)</td></tr>
<tr class="separator:a9d57a40601784b785e9a057b42f3336d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a174f164f38e522a3935da911a9c1e450"><td class="memItemLeft" align="right" valign="top"><a id="a174f164f38e522a3935da911a9c1e450"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>AddTestSuiteInstantiation</b> (const std::string &amp;instantiation_name, GeneratorCreationFunc *func, ParamNameGeneratorFunc *name_func, const char *file, int line)</td></tr>
<tr class="separator:a174f164f38e522a3935da911a9c1e450"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c0af866d3c291a63d3f4581ccd452d1"><td class="memItemLeft" align="right" valign="top"><a id="a8c0af866d3c291a63d3f4581ccd452d1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>RegisterTests</b> () override</td></tr>
<tr class="separator:a8c0af866d3c291a63d3f4581ccd452d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="gtest-param-util_8h_source.html">gtest-param-util.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1ParameterizedTestSuiteInfo.html">ParameterizedTestSuiteInfo</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
